Subject: bug#30660: mention describe-bindings on (info "(emacs) Keymaps")

From: Drew Adams <[email-masked]>
Date: Mon, 14 Oct 2019 20:50:05 +0000 (UTC)

> > * lisp/help.el (help-map): Bind the new function to "C-h M".
> > * lisp/help.el (help-for-help-internal): Document what "C-h M" does
> > when user types "C-h C-h".
> 
> `C-h m' is already used and `C-h M' auto-maps to it currently, so I'm
> not sure that's the best binding.  But perhaps that's not a problem in
> practice.

I wrote the code for this command and have been using
it since 2007.

I already objected here two months ago to Emacs using
`C-h M' for this - in the message just after the one
you chose to reply to.

I requested that `C-h M-k' be used.  That's the key
I and others have been using for years.  And it's
mnemonic with "keymap" and "key".

Is there a good reason my input is just ignored?

For more info, including other problems with the
patch provided:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30660#26

And I do suggest that the other features provided
in the original code be included in the vanilla
version as well.